Reply
New Contributor
Posts: 3
Registered: ‎04-18-2019
Accepted Solution

Can't start Kafka Service broker

 

 

While starting kafka server its failing with below error.Tried with multiple versions. Please help with this

 

 

exception in thread "main" java.lang.UnsupportedClassVersionError:kafka/Kafka:Unsupported major.minor version 52.0

Posts: 45
Topics: 0
Kudos: 13
Solutions: 4
Registered: ‎07-30-2018

Re: Can't start Kafka Service broker

Hi,

Its showing that it is running in unsupported version. Could you let us know the below version

Kafka, CDH, System Java version.

'major.minor version 52.0' Will occur if you are running the application in JAVA version which is less than 1.8

Cloudera Employee AKR
Cloudera Employee
Posts: 22
Registered: ‎09-20-2018

Re: Can't start Kafka Service broker

Hi,

 

The 'major.minor version 52.0' error is possibly because the jar was compiled in JDK 1.8, but you are trying to run it using a JDK 1.7 environment. The reported number is the required number, not the number you are using. To solve this, it's always better to have the JDK and JRE pointed to the same version.